List Coupons
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "SUMMER20",
"object": "coupon",
"amount_off": null,
"created": 1700000000,
"currency": "usd",
"duration": "once",
"duration_in_months": null,
"livemode": true,
"max_redemptions": null,
"metadata": {},
"name": "Summer Sale",
"percent_off": 25,
"redeem_by": null,
"times_redeemed": 0,
"valid": true
}
],
"has_more": false,
"next_cursor": null
}{
"error": "An unexpected error occurred"
}Coupons
List Coupons
Retrieve a list of coupons for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
coupons
List Coupons
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
Query Parameters
Max number of coupons to return (1-100). Defaults to 50.
Required range:
1 <= x <= 100Pagination cursor (returns results after this ID).
⌘I
